org.apache.tinkerpop.gremlin.process.traversal

## Class TextP

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.P<String>
  - - org.apache.tinkerpop.gremlin.process.traversal.TextP

- All Implemented Interfaces:
    Serializable, Cloneable, Predicate<String>

      public class TextP
      extends P<String>

  Predefined `Predicate` values that can be used as `String` filters.
  Author:
    Daniel Kuppitz (http://gremlin.guru)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.P

      `biPredicate, originalValue, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextP(BiPredicate<String,String> biPredicate, String value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextP` | `clone()`
    `static TextP` | `containing(String value)` Determines if String does contain the given value.
    `static TextP` | `endingWith(String value)` Determines if String does start with the given value.
    `boolean` | `equals(Object other)`
    `TextP` | `negate()`
    `static TextP` | `notContaining(String value)` Determines if String does not contain the given value.
    `static TextP` | `notEndingWith(String value)` Determines if String does not start with the given value.
    `static TextP` | `notStartingWith(String value)` Determines if String does not start with the given value.
    `static TextP` | `startingWith(String value)` Determines if String does start with the given value.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.P

      `and, between, eq, getBiPredicate, getOriginalValue, getValue, gt, gte, hashCode, inside, lt, lte, neq, not, or, outside, setValue, test, test, within, within, without, without`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Predicate

      `isEqual`

- - ### Constructor Detail

    - #### TextP

          public TextP(BiPredicate<String,String> biPredicate,
                       String value)

  - ### Method Detail

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `P<String>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `P<String>`

    - #### negate

          public TextP negate()

      Specified by:
        `negate` in interface `Predicate<String>`
      Overrides:
        `negate` in class `P<String>`

    - #### clone

          public TextP clone()

      Overrides:
        `clone` in class `P<String>`

    - #### startingWith

          public static TextP startingWith(String value)

      Determines if String does start with the given value.
      Since:
        3.4.0

    - #### notStartingWith

          public static TextP notStartingWith(String value)

      Determines if String does not start with the given value.
      Since:
        3.4.0

    - #### endingWith

          public static TextP endingWith(String value)

      Determines if String does start with the given value.
      Since:
        3.4.0

    - #### notEndingWith

          public static TextP notEndingWith(String value)

      Determines if String does not start with the given value.
      Since:
        3.4.0

    - #### containing

          public static TextP containing(String value)

      Determines if String does contain the given value.
      Since:
        3.4.0

    - #### notContaining

          public static TextP notContaining(String value)

      Determines if String does not contain the given value.
      Since:
        3.4.0

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.